package com.example.libmedia.demo.video;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;

import fr.maxcom.libmedia.Licensing;

/**
 * The main activity of the application.
 * Is used to start another activity.
 */
public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

// Libmedia requirement
		Licensing.allow(getApplicationContext());
// optional
		Licensing.setDeveloperMode(true);
	}

	//----- onClick Handlers -----
	public void onClickPlayVideo1(View v) {
		startActivity(new Intent(this, VideoActivity1.class));
	}

	public void onClickPlayVideo2(View v) {
		startActivity(new Intent(this, VideoActivity2.class));
	}

	public void onClickPlayWeb1(View v) {
		startActivity(new Intent(this, WebActivity1.class));
	}

	public void onClickPlayWeb2(View v) {
		startActivity(new Intent(this, WebActivity2.class));
	}

	public void onClickStorage(View v) {
		startActivity(new Intent(this, StorageActivity.class));
	}
}
